## com.sun.jersey.spi.monitoring
Interface RequestListenerAdapter

    public interface RequestListenerAdapter

Author:
  Jakub.Podlesak@Oracle.Com, Marek Potociar (marek.potociar at oracle.com)

Method Summary
`RequestListener` | `adapt(RequestListener requestListener)` Adapt a `RequestListener`.

Method Detail

### adapt

    RequestListener adapt(RequestListener requestListener)

  Adapt a `RequestListener`. Returned `RequestListener` is responsible and MUST call corresponding methods from the other provided in method parameter.

  Parameters:
    `requestListener` - the listener to adapt.
  Returns:
    the adapted listener.

Copyright © 2017 Oracle Corporation. All Rights Reserved.